Package com.io7m.jregions.core.unparameterized.areas

# Class AreaD.Builder

java.lang.Object
com.io7m.jregions.core.unparameterized.areas.AreaD.Builder

Enclosing class:
  AreaD

    public static final class AreaD.Builder
    extends java.lang.Object

Builds instances of type `AreaD`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `AreaD` | `build()` | Builds a new `AreaD`.
  `AreaD.Builder` | `from​(AreaDType instance)` | Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.areas.AreaDType` instance.
  `AreaD.Builder` | `from​(AreaValuesDType instance)` | Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.areas.AreaValuesDType` instance.
  `AreaD.Builder` | `setMaximumX​(double maximumX)` | Initializes the value for the `maximumX` attribute.
  `AreaD.Builder` | `setMaximumY​(double maximumY)` | Initializes the value for the `maximumY` attribute.
  `AreaD.Builder` | `setMinimumX​(double minimumX)` | Initializes the value for the `minimumX` attribute.
  `AreaD.Builder` | `setMinimumY​(double minimumY)` | Initializes the value for the `minimumY` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final AreaD.Builder from​(AreaDType instance)
    Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.areas.AreaDType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### from

    public final AreaD.Builder from​(AreaValuesDType instance)
    Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.areas.AreaValuesDType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setMinimumX

    public final AreaD.Builder setMinimumX​(double minimumX)
    Initializes the value for the `minimumX` attribute.
    Parameters:
      `minimumX` - The value for minimumX
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaximumX

    public final AreaD.Builder setMaximumX​(double maximumX)
    Initializes the value for the `maximumX` attribute.
    Parameters:
      `maximumX` - The value for maximumX
    Returns:
      `this` builder for use in a chained invocation

  - ### setMinimumY

    public final AreaD.Builder setMinimumY​(double minimumY)
    Initializes the value for the `minimumY` attribute.
    Parameters:
      `minimumY` - The value for minimumY
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaximumY

    public final AreaD.Builder setMaximumY​(double maximumY)
    Initializes the value for the `maximumY` attribute.
    Parameters:
      `maximumY` - The value for maximumY
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public AreaD build()
    Builds a new `AreaD`.
    Returns:
      An immutable instance of AreaD
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing